Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Interface CustomMarshal

All Known Subinterfaces:
  CustomValue

    public interface CustomMarshal

An abstract value type that is meant to be used by the ORB, not the user. Semantically it is treated as a custom value type's implicit base class, although the custom valuetype does not actually inherit it in IDL. The implementer of a custom value type shall provide an implementation of the `CustomMarshal` operations. The manner in which this is done is specified in the IDL to Java langauge mapping. Each custom marshaled value type shall have its own implementation.

See Also:
  `DataInputStream`

Method Summary
`void` | `marshal(DataOutputStream os)` Marshal method has to be implemented by the Customized Marshal class.
`void` | `unmarshal(DataInputStream is)` Unmarshal method has to be implemented by the Customized Marshal class.

Method Detail

### marshal

    void marshal(DataOutputStream os)

  Marshal method has to be implemented by the Customized Marshal class. This is the method invoked for Marshalling.

  Parameters:
    `os` - a DataOutputStream

### unmarshal

    void unmarshal(DataInputStream is)

  Unmarshal method has to be implemented by the Customized Marshal class. This is the method invoked for Unmarshalling.

  Parameters:
    `is` - a DataInputStream

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.